## osinfo_firmwarelist

osinfo_firmwarelist — A list of firmwares

## Functions

OsinfoFirmwareList * | osinfo_firmwarelist_new ()

## Types and Values

#define | OSINFO_TYPE_FIRMWARELIST

## Description

OsinfoFirmwareList is a list specialization that stores only OsinfoFirmware objects.

## Functions

### osinfo_firmwarelist_new ()

    OsinfoFirmwareList *
    osinfo_firmwarelist_new (void);

Construct a new firmware list that is initially empty.

#### Returns

an empty firmware list.

[transfer full]

Since: 1.7.0

## Types and Values

### OSINFO_TYPE_FIRMWARELIST

    #define OSINFO_TYPE_FIRMWARELIST (osinfo_firmwarelist_get_type ())

## See Also

OsinfoList, OsinfoFirmware